- Qt 6.6
- Qt SCXML
- C++ Classes
- QScxmlDynamicScxmlServiceFactory
- Qt 6.6.0 Reference Documentation

# QScxmlDynamicScxmlServiceFactory Class

The QScxmlDynamicScxmlServiceFactory class creates SCXML service instances from documents loaded at runtime. More...

Header: | #include <QScxmlDynamicScxmlServiceFactory>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Scxml) target_link_libraries(mytarget PRIVATE Qt6::Scxml)
qmake: | QT += scxml
Inherits: | QScxmlInvokableServiceFactory

- List of all members, including inherited members

## Public Functions

| QScxmlDynamicScxmlServiceFactory(const QScxmlExecutableContent::InvokeInfo &invokeInfo, const QList<QScxmlExecutableContent::StringId> &names, const QList<QScxmlExecutableContent::ParameterInfo> &parameters, QObject *parent = nullptr)

## Reimplemented Public Functions

virtual QScxmlInvokableService * | invoke(QScxmlStateMachine *parentStateMachine) override

## Detailed Description

Dynamically resolved services are used when loading SCXML content from files that a parent state machine requests at runtime, via the `srcexpr` attribute in the `<invoke>` element.

## Member Function Documentation

### QScxmlDynamicScxmlServiceFactory::QScxmlDynamicScxmlServiceFactory(const QScxmlExecutableContent::InvokeInfo &invokeInfo, const QList<QScxmlExecutableContent::StringId> &names, const QList<QScxmlExecutableContent::ParameterInfo> &parameters, QObject *parent = nullptr)

Creates a factory for dynamically resolved services, passing the attributes of the `<invoke>` element as invokeInfo, any `<param>` child elements as parameters, the content of the `names` attribute as names, and the QObject parent parent.

### `[override virtual]` QScxmlInvokableService *QScxmlDynamicScxmlServiceFactory::invoke(QScxmlStateMachine *parentStateMachine)

Reimplements: QScxmlInvokableServiceFactory::invoke(QScxmlStateMachine *parentStateMachine).